# Codec class

A handle to an image codec.

This class is created by the engine, and should not be instantiated or extended directly.

To obtain an instance of the Codec interface, see instantiateImageCodec.

## Properties

frameCount → int
  Number of frames in this image.
  read-only
repetitionCount → int
  Number of times to repeat the animation. [...]
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

dispose() → void
  Release the resources used by this object. The object is no longer usable after this method is called.
getNextFrame() → Future<FrameInfo>
  Fetches the next animation frame. [...]
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited